<script setup>
import { useDialogPluginComponent } from 'quasar';

defineProps({
    id: {
        type: Number,
        required: true,
    },
    summary: {
        type: Object,
        required: true,
    },
});

defineEmits([...useDialogPluginComponent.emits]);

const { dialogRef, onDialogHide } = useDialogPluginComponent();
</script>
<template>
    <QDialog ref="dialogRef" @hide="onDialogHide" full-width>
        <component :is="summary" :id="id" />
    </QDialog>
</template>
